Index: contrib/crossrpms/rtems4.11/arm-eabi/Makefile.am
===================================================================
--- contrib/crossrpms/rtems4.11/arm-eabi/Makefile.am	(revision 21242c252a47fd32d8ae5b077489f9ff2151bc88)
+++ contrib/crossrpms/rtems4.11/arm-eabi/Makefile.am	(revision c062c2957f192e0e4453b3ba008070755e0dd9d3)
@@ -6,5 +6,5 @@
 include $(top_srcdir)/mkspec.am
 
-BINUTILS_VERS = 2.21
+BINUTILS_VERS = 2.21.1
 BINUTILS_PKGVERS = $(BINUTILS_VERS)
 BINUTILS_RPMREL = 1
Index: contrib/crossrpms/rtems4.11/arm-eabi/binutils-sources.add
===================================================================
--- contrib/crossrpms/rtems4.11/arm-eabi/binutils-sources.add	(revision 21242c252a47fd32d8ae5b077489f9ff2151bc88)
+++ contrib/crossrpms/rtems4.11/arm-eabi/binutils-sources.add	(revision c062c2957f192e0e4453b3ba008070755e0dd9d3)
@@ -1,2 +1,4 @@
 Source0: ftp://ftp.gnu.org/gnu/binutils/binutils-%{binutils_pkgvers}.tar.bz2
+%if "%{binutils_version}" == "2.21"
 Patch0:  ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/binutils-2.21-rtems4.11-20110107.diff
+%endif
Index: contrib/crossrpms/rtems4.11/arm/Makefile.am
===================================================================
--- contrib/crossrpms/rtems4.11/arm/Makefile.am	(revision 21242c252a47fd32d8ae5b077489f9ff2151bc88)
+++ contrib/crossrpms/rtems4.11/arm/Makefile.am	(revision c062c2957f192e0e4453b3ba008070755e0dd9d3)
@@ -6,7 +6,7 @@
 include $(top_srcdir)/mkspec.am
 
-BINUTILS_VERS = 2.21
+BINUTILS_VERS = 2.21.1
 BINUTILS_PKGVERS = $(BINUTILS_VERS)
-BINUTILS_RPMREL = 2
+BINUTILS_RPMREL = 1
 include ../binutils.am
 BINUTILS_OPTS +=
Index: contrib/crossrpms/rtems4.11/arm/binutils-sources.add
===================================================================
--- contrib/crossrpms/rtems4.11/arm/binutils-sources.add	(revision 21242c252a47fd32d8ae5b077489f9ff2151bc88)
+++ contrib/crossrpms/rtems4.11/arm/binutils-sources.add	(revision c062c2957f192e0e4453b3ba008070755e0dd9d3)
@@ -1,2 +1,4 @@
 Source0: ftp://ftp.gnu.org/gnu/binutils/binutils-%{binutils_pkgvers}.tar.bz2
+%if "%{binutils_version}" == "2.21"
 Patch0:  ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/binutils-2.21-rtems4.11-20110107.diff
+%endif
Index: contrib/crossrpms/rtems4.11/avr/Makefile.am
===================================================================
--- contrib/crossrpms/rtems4.11/avr/Makefile.am	(revision 21242c252a47fd32d8ae5b077489f9ff2151bc88)
+++ contrib/crossrpms/rtems4.11/avr/Makefile.am	(revision c062c2957f192e0e4453b3ba008070755e0dd9d3)
@@ -6,7 +6,7 @@
 include $(top_srcdir)/mkspec.am
 
-BINUTILS_VERS = 2.21
+BINUTILS_VERS = 2.21.1
 BINUTILS_PKGVERS = $(BINUTILS_VERS)
-BINUTILS_RPMREL = 2
+BINUTILS_RPMREL = 1
 include ../binutils.am
 BINUTILS_OPTS +=
Index: contrib/crossrpms/rtems4.11/avr/binutils-sources.add
===================================================================
--- contrib/crossrpms/rtems4.11/avr/binutils-sources.add	(revision 21242c252a47fd32d8ae5b077489f9ff2151bc88)
+++ contrib/crossrpms/rtems4.11/avr/binutils-sources.add	(revision c062c2957f192e0e4453b3ba008070755e0dd9d3)
@@ -1,2 +1,4 @@
 Source0: ftp://ftp.gnu.org/gnu/binutils/binutils-%{binutils_pkgvers}.tar.bz2
+%if "%{binutils_version}" == "2.21"
 Patch0:  ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/binutils-2.21-rtems4.11-20110107.diff
+%endif
Index: contrib/crossrpms/rtems4.11/bfin/Makefile.am
===================================================================
--- contrib/crossrpms/rtems4.11/bfin/Makefile.am	(revision 21242c252a47fd32d8ae5b077489f9ff2151bc88)
+++ contrib/crossrpms/rtems4.11/bfin/Makefile.am	(revision c062c2957f192e0e4453b3ba008070755e0dd9d3)
@@ -6,7 +6,7 @@
 include $(top_srcdir)/mkspec.am
 
-BINUTILS_VERS = 2.21
+BINUTILS_VERS = 2.21.1
 BINUTILS_PKGVERS = $(BINUTILS_VERS)
-BINUTILS_RPMREL = 2
+BINUTILS_RPMREL = 1
 include ../binutils.am
 BINUTILS_OPTS +=
Index: contrib/crossrpms/rtems4.11/bfin/binutils-sources.add
===================================================================
--- contrib/crossrpms/rtems4.11/bfin/binutils-sources.add	(revision 21242c252a47fd32d8ae5b077489f9ff2151bc88)
+++ contrib/crossrpms/rtems4.11/bfin/binutils-sources.add	(revision c062c2957f192e0e4453b3ba008070755e0dd9d3)
@@ -1,2 +1,4 @@
 Source0: ftp://ftp.gnu.org/gnu/binutils/binutils-%{binutils_pkgvers}.tar.bz2
+%if "%{binutils_version}" == "2.21"
 Patch0:  ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/binutils-2.21-rtems4.11-20110107.diff
+%endif
Index: contrib/crossrpms/rtems4.11/h8300/Makefile.am
===================================================================
--- contrib/crossrpms/rtems4.11/h8300/Makefile.am	(revision 21242c252a47fd32d8ae5b077489f9ff2151bc88)
+++ contrib/crossrpms/rtems4.11/h8300/Makefile.am	(revision c062c2957f192e0e4453b3ba008070755e0dd9d3)
@@ -6,7 +6,7 @@
 include $(top_srcdir)/mkspec.am
 
-BINUTILS_VERS = 2.21
+BINUTILS_VERS = 2.21.1
 BINUTILS_PKGVERS = $(BINUTILS_VERS)
-BINUTILS_RPMREL = 2
+BINUTILS_RPMREL = 1
 include ../binutils.am
 BINUTILS_OPTS +=
Index: contrib/crossrpms/rtems4.11/h8300/binutils-sources.add
===================================================================
--- contrib/crossrpms/rtems4.11/h8300/binutils-sources.add	(revision 21242c252a47fd32d8ae5b077489f9ff2151bc88)
+++ contrib/crossrpms/rtems4.11/h8300/binutils-sources.add	(revision c062c2957f192e0e4453b3ba008070755e0dd9d3)
@@ -1,2 +1,4 @@
 Source0: ftp://ftp.gnu.org/gnu/binutils/binutils-%{binutils_pkgvers}.tar.bz2
+%if "%{binutils_version}" == "2.21"
 Patch0:  ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/binutils-2.21-rtems4.11-20110107.diff
+%endif
Index: contrib/crossrpms/rtems4.11/i386/Makefile.am
===================================================================
--- contrib/crossrpms/rtems4.11/i386/Makefile.am	(revision 21242c252a47fd32d8ae5b077489f9ff2151bc88)
+++ contrib/crossrpms/rtems4.11/i386/Makefile.am	(revision c062c2957f192e0e4453b3ba008070755e0dd9d3)
@@ -6,7 +6,7 @@
 include $(top_srcdir)/mkspec.am
 
-BINUTILS_VERS = 2.21
+BINUTILS_VERS = 2.21.1
 BINUTILS_PKGVERS = $(BINUTILS_VERS)
-BINUTILS_RPMREL = 2
+BINUTILS_RPMREL = 1
 include ../binutils.am
 BINUTILS_OPTS +=
Index: contrib/crossrpms/rtems4.11/i386/binutils-sources.add
===================================================================
--- contrib/crossrpms/rtems4.11/i386/binutils-sources.add	(revision 21242c252a47fd32d8ae5b077489f9ff2151bc88)
+++ contrib/crossrpms/rtems4.11/i386/binutils-sources.add	(revision c062c2957f192e0e4453b3ba008070755e0dd9d3)
@@ -1,2 +1,4 @@
 Source0: ftp://ftp.gnu.org/gnu/binutils/binutils-%{binutils_pkgvers}.tar.bz2
+%if "%{binutils_version}" == "2.21"
 Patch0:  ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/binutils-2.21-rtems4.11-20110107.diff
+%endif
Index: contrib/crossrpms/rtems4.11/lm32/Makefile.am
===================================================================
--- contrib/crossrpms/rtems4.11/lm32/Makefile.am	(revision 21242c252a47fd32d8ae5b077489f9ff2151bc88)
+++ contrib/crossrpms/rtems4.11/lm32/Makefile.am	(revision c062c2957f192e0e4453b3ba008070755e0dd9d3)
@@ -6,7 +6,7 @@
 include $(top_srcdir)/mkspec.am
 
-BINUTILS_VERS = 2.21
+BINUTILS_VERS = 2.21.1
 BINUTILS_PKGVERS = $(BINUTILS_VERS)
-BINUTILS_RPMREL = 2
+BINUTILS_RPMREL = 1
 include ../binutils.am
 BINUTILS_OPTS +=
Index: contrib/crossrpms/rtems4.11/lm32/binutils-sources.add
===================================================================
--- contrib/crossrpms/rtems4.11/lm32/binutils-sources.add	(revision 21242c252a47fd32d8ae5b077489f9ff2151bc88)
+++ contrib/crossrpms/rtems4.11/lm32/binutils-sources.add	(revision c062c2957f192e0e4453b3ba008070755e0dd9d3)
@@ -1,2 +1,4 @@
 Source0: ftp://ftp.gnu.org/gnu/binutils/binutils-%{binutils_pkgvers}.tar.bz2
+%if "%{binutils_version}" == "2.21"
 Patch0:  ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/binutils-2.21-rtems4.11-20110107.diff
+%endif
Index: contrib/crossrpms/rtems4.11/m32c/Makefile.am
===================================================================
--- contrib/crossrpms/rtems4.11/m32c/Makefile.am	(revision 21242c252a47fd32d8ae5b077489f9ff2151bc88)
+++ contrib/crossrpms/rtems4.11/m32c/Makefile.am	(revision c062c2957f192e0e4453b3ba008070755e0dd9d3)
@@ -6,7 +6,7 @@
 include $(top_srcdir)/mkspec.am
 
-BINUTILS_VERS = 2.21
+BINUTILS_VERS = 2.21.1
 BINUTILS_PKGVERS = $(BINUTILS_VERS)
-BINUTILS_RPMREL = 2
+BINUTILS_RPMREL = 1
 include ../binutils.am
 BINUTILS_OPTS +=
Index: contrib/crossrpms/rtems4.11/m32c/binutils-sources.add
===================================================================
--- contrib/crossrpms/rtems4.11/m32c/binutils-sources.add	(revision 21242c252a47fd32d8ae5b077489f9ff2151bc88)
+++ contrib/crossrpms/rtems4.11/m32c/binutils-sources.add	(revision c062c2957f192e0e4453b3ba008070755e0dd9d3)
@@ -1,2 +1,4 @@
 Source0: ftp://ftp.gnu.org/gnu/binutils/binutils-%{binutils_pkgvers}.tar.bz2
+%if "%{binutils_version}" == "2.21"
 Patch0:  ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/binutils-2.21-rtems4.11-20110107.diff
+%endif
Index: contrib/crossrpms/rtems4.11/m32r/Makefile.am
===================================================================
--- contrib/crossrpms/rtems4.11/m32r/Makefile.am	(revision 21242c252a47fd32d8ae5b077489f9ff2151bc88)
+++ contrib/crossrpms/rtems4.11/m32r/Makefile.am	(revision c062c2957f192e0e4453b3ba008070755e0dd9d3)
@@ -6,7 +6,7 @@
 include $(top_srcdir)/mkspec.am
 
-BINUTILS_VERS = 2.21
+BINUTILS_VERS = 2.21.1
 BINUTILS_PKGVERS = $(BINUTILS_VERS)
-BINUTILS_RPMREL = 2
+BINUTILS_RPMREL = 1
 include ../binutils.am
 BINUTILS_OPTS +=
Index: contrib/crossrpms/rtems4.11/m32r/binutils-sources.add
===================================================================
--- contrib/crossrpms/rtems4.11/m32r/binutils-sources.add	(revision 21242c252a47fd32d8ae5b077489f9ff2151bc88)
+++ contrib/crossrpms/rtems4.11/m32r/binutils-sources.add	(revision c062c2957f192e0e4453b3ba008070755e0dd9d3)
@@ -1,2 +1,4 @@
 Source0: ftp://ftp.gnu.org/gnu/binutils/binutils-%{binutils_pkgvers}.tar.bz2
+%if "%{binutils_version}" == "2.21"
 Patch0:  ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/binutils-2.21-rtems4.11-20110107.diff
+%endif
Index: contrib/crossrpms/rtems4.11/m68k/Makefile.am
===================================================================
--- contrib/crossrpms/rtems4.11/m68k/Makefile.am	(revision 21242c252a47fd32d8ae5b077489f9ff2151bc88)
+++ contrib/crossrpms/rtems4.11/m68k/Makefile.am	(revision c062c2957f192e0e4453b3ba008070755e0dd9d3)
@@ -6,7 +6,7 @@
 include $(top_srcdir)/mkspec.am
 
-BINUTILS_VERS = 2.21
+BINUTILS_VERS = 2.21.1
 BINUTILS_PKGVERS = $(BINUTILS_VERS)
-BINUTILS_RPMREL = 2
+BINUTILS_RPMREL = 1
 include ../binutils.am
 BINUTILS_OPTS +=
Index: contrib/crossrpms/rtems4.11/m68k/binutils-sources.add
===================================================================
--- contrib/crossrpms/rtems4.11/m68k/binutils-sources.add	(revision 21242c252a47fd32d8ae5b077489f9ff2151bc88)
+++ contrib/crossrpms/rtems4.11/m68k/binutils-sources.add	(revision c062c2957f192e0e4453b3ba008070755e0dd9d3)
@@ -1,2 +1,4 @@
 Source0: ftp://ftp.gnu.org/gnu/binutils/binutils-%{binutils_pkgvers}.tar.bz2
+%if "%{binutils_version}" == "2.21"
 Patch0:  ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/binutils-2.21-rtems4.11-20110107.diff
+%endif
Index: contrib/crossrpms/rtems4.11/mips/Makefile.am
===================================================================
--- contrib/crossrpms/rtems4.11/mips/Makefile.am	(revision 21242c252a47fd32d8ae5b077489f9ff2151bc88)
+++ contrib/crossrpms/rtems4.11/mips/Makefile.am	(revision c062c2957f192e0e4453b3ba008070755e0dd9d3)
@@ -6,7 +6,7 @@
 include $(top_srcdir)/mkspec.am
 
-BINUTILS_VERS = 2.21
+BINUTILS_VERS = 2.21.1
 BINUTILS_PKGVERS = $(BINUTILS_VERS)
-BINUTILS_RPMREL = 2
+BINUTILS_RPMREL = 1
 include ../binutils.am
 BINUTILS_OPTS +=
Index: contrib/crossrpms/rtems4.11/mips/binutils-sources.add
===================================================================
--- contrib/crossrpms/rtems4.11/mips/binutils-sources.add	(revision 21242c252a47fd32d8ae5b077489f9ff2151bc88)
+++ contrib/crossrpms/rtems4.11/mips/binutils-sources.add	(revision c062c2957f192e0e4453b3ba008070755e0dd9d3)
@@ -1,2 +1,4 @@
 Source0: ftp://ftp.gnu.org/gnu/binutils/binutils-%{binutils_pkgvers}.tar.bz2
+%if "%{binutils_version}" == "2.21"
 Patch0:  ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/binutils-2.21-rtems4.11-20110107.diff
+%endif
Index: contrib/crossrpms/rtems4.11/powerpc/Makefile.am
===================================================================
--- contrib/crossrpms/rtems4.11/powerpc/Makefile.am	(revision 21242c252a47fd32d8ae5b077489f9ff2151bc88)
+++ contrib/crossrpms/rtems4.11/powerpc/Makefile.am	(revision c062c2957f192e0e4453b3ba008070755e0dd9d3)
@@ -6,7 +6,7 @@
 include $(top_srcdir)/mkspec.am
 
-BINUTILS_VERS = 2.21
+BINUTILS_VERS = 2.21.1
 BINUTILS_PKGVERS = $(BINUTILS_VERS)
-BINUTILS_RPMREL = 2
+BINUTILS_RPMREL = 1
 include ../binutils.am
 BINUTILS_OPTS +=
Index: contrib/crossrpms/rtems4.11/powerpc/binutils-sources.add
===================================================================
--- contrib/crossrpms/rtems4.11/powerpc/binutils-sources.add	(revision 21242c252a47fd32d8ae5b077489f9ff2151bc88)
+++ contrib/crossrpms/rtems4.11/powerpc/binutils-sources.add	(revision c062c2957f192e0e4453b3ba008070755e0dd9d3)
@@ -1,2 +1,4 @@
 Source0: ftp://ftp.gnu.org/gnu/binutils/binutils-%{binutils_pkgvers}.tar.bz2
+%if "%{binutils_version}" == "2.21"
 Patch0:  ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/binutils-2.21-rtems4.11-20110107.diff
+%endif
Index: contrib/crossrpms/rtems4.11/sh/Makefile.am
===================================================================
--- contrib/crossrpms/rtems4.11/sh/Makefile.am	(revision 21242c252a47fd32d8ae5b077489f9ff2151bc88)
+++ contrib/crossrpms/rtems4.11/sh/Makefile.am	(revision c062c2957f192e0e4453b3ba008070755e0dd9d3)
@@ -6,7 +6,7 @@
 include $(top_srcdir)/mkspec.am
 
-BINUTILS_VERS = 2.21
+BINUTILS_VERS = 2.21.1
 BINUTILS_PKGVERS = $(BINUTILS_VERS)
-BINUTILS_RPMREL = 2
+BINUTILS_RPMREL = 1
 include ../binutils.am
 BINUTILS_OPTS +=
Index: contrib/crossrpms/rtems4.11/sh/binutils-sources.add
===================================================================
--- contrib/crossrpms/rtems4.11/sh/binutils-sources.add	(revision 21242c252a47fd32d8ae5b077489f9ff2151bc88)
+++ contrib/crossrpms/rtems4.11/sh/binutils-sources.add	(revision c062c2957f192e0e4453b3ba008070755e0dd9d3)
@@ -1,2 +1,4 @@
 Source0: ftp://ftp.gnu.org/gnu/binutils/binutils-%{binutils_pkgvers}.tar.bz2
+%if "%{binutils_version}" == "2.21"
 Patch0:  ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/binutils-2.21-rtems4.11-20110107.diff
+%endif
Index: contrib/crossrpms/rtems4.11/sparc/Makefile.am
===================================================================
--- contrib/crossrpms/rtems4.11/sparc/Makefile.am	(revision 21242c252a47fd32d8ae5b077489f9ff2151bc88)
+++ contrib/crossrpms/rtems4.11/sparc/Makefile.am	(revision c062c2957f192e0e4453b3ba008070755e0dd9d3)
@@ -6,7 +6,7 @@
 include $(top_srcdir)/mkspec.am
 
-BINUTILS_VERS = 2.21
+BINUTILS_VERS = 2.21.1
 BINUTILS_PKGVERS = $(BINUTILS_VERS)
-BINUTILS_RPMREL = 2
+BINUTILS_RPMREL = 1
 include ../binutils.am
 BINUTILS_OPTS +=
Index: contrib/crossrpms/rtems4.11/sparc/binutils-sources.add
===================================================================
--- contrib/crossrpms/rtems4.11/sparc/binutils-sources.add	(revision 21242c252a47fd32d8ae5b077489f9ff2151bc88)
+++ contrib/crossrpms/rtems4.11/sparc/binutils-sources.add	(revision c062c2957f192e0e4453b3ba008070755e0dd9d3)
@@ -1,2 +1,4 @@
 Source0: ftp://ftp.gnu.org/gnu/binutils/binutils-%{binutils_pkgvers}.tar.bz2
+%if "%{binutils_version}" == "2.21"
 Patch0:  ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/binutils-2.21-rtems4.11-20110107.diff
+%endif
Index: contrib/crossrpms/rtems4.11/sparc64/Makefile.am
===================================================================
--- contrib/crossrpms/rtems4.11/sparc64/Makefile.am	(revision 21242c252a47fd32d8ae5b077489f9ff2151bc88)
+++ contrib/crossrpms/rtems4.11/sparc64/Makefile.am	(revision c062c2957f192e0e4453b3ba008070755e0dd9d3)
@@ -6,7 +6,7 @@
 include $(top_srcdir)/mkspec.am
 
-BINUTILS_VERS = 2.21
+BINUTILS_VERS = 2.21.1
 BINUTILS_PKGVERS = $(BINUTILS_VERS)
-BINUTILS_RPMREL = 2
+BINUTILS_RPMREL = 1
 include ../binutils.am
 BINUTILS_OPTS +=
Index: contrib/crossrpms/rtems4.11/sparc64/binutils-sources.add
===================================================================
--- contrib/crossrpms/rtems4.11/sparc64/binutils-sources.add	(revision 21242c252a47fd32d8ae5b077489f9ff2151bc88)
+++ contrib/crossrpms/rtems4.11/sparc64/binutils-sources.add	(revision c062c2957f192e0e4453b3ba008070755e0dd9d3)
@@ -1,2 +1,4 @@
 Source0: ftp://ftp.gnu.org/gnu/binutils/binutils-%{binutils_pkgvers}.tar.bz2
+%if "%{binutils_version}" == "2.21"
 Patch0:  ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/binutils-2.21-rtems4.11-20110107.diff
+%endif
